package net.wanji.opt.config;

import com.alipay.jarslink.api.ModuleLoader;
import com.alipay.jarslink.api.ModuleManager;
import com.alipay.jarslink.api.impl.ModuleLoaderImpl;
import com.alipay.jarslink.api.impl.ModuleManagerImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@Slf4j
public class ModuleBeanConfig {

    private static ModuleManager moduleManager;
    private static ModuleLoader moduleLoader;

    @Bean
    public ModuleLoader moduleLoader() {
        if (moduleLoader == null) {
            moduleLoader = new ModuleLoaderImpl();
        }
        return moduleLoader;
    }

    @Bean
    public ModuleManager moduleManager() {
        if (moduleManager == null) {
            moduleManager = new ModuleManagerImpl();
        }
        return moduleManager;
    }

}

