package net.wanji.opt.controllerv2.judgeanalysis.design.response.greenproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.List;

@Data
public class GreenHighFrequencyProblemReasonResult extends ParentResult {

    private List<JudTrunkLineCrossProblemEntity> content;

    public   List<JudTrunkLineCrossProblemEntity> getContent() {
        return content;
    }

    public GreenHighFrequencyProblemReasonResult setContent( List<JudTrunkLineCrossProblemEntity> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}


@Data
class JudTrunkLineCrossProblemEntity {
    @ApiModelProperty(value = "干线ID",example = "")
    private String greenId;
    @ApiModelProperty(value = "路口ID",example = "")
    private String crossId;
    @ApiModelProperty(value = "路口名称",example = "")
    private String crossName;
    @ApiModelProperty(value = "绿波正向方向：1~8",example = "5")
    private Integer inDir;
    @ApiModelProperty(value = "绿波反向方向：1~8",example = "1")
    private Integer outDir;
    @ApiModelProperty(value = "顺序",example = "1")
    private Integer sort;
    @ApiModelProperty(value = "正向绿波路段状态 1畅通 2缓行 3拥堵",example = "2")
    private Integer statusL;
    @ApiModelProperty(value = "正向绿波路段状态 1畅通 2缓行 3拥堵",example = "3")
    private Integer statusR;
}

