package net.wanji.opt.controllerv2.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossOptimizeResultResponseVO {


    @ApiModelProperty(value = "路口名称", example = "经十路（舜耕路-山大路）",position = 0)
    private String crossName;

    @ApiModelProperty(value = "本周优化次数", example = "300",position = 1)
    private String weekOptimizeCount;

    @ApiModelProperty(value = "本周优化时长", example = "98",position = 2)
    private String weekOptimizeDuration;

    @ApiModelProperty(value = "本周溢出次数", example = "98",position = 3)
    private String weekOptimizeOverflowCount;
    @ApiModelProperty(value = "本周拥堵次数", example = "98",position = 4)
    private String weekOptimizeCongestCount;
    @ApiModelProperty(value = "本周空放优化次数", example = "98",position = 5)
    private String weekOptimizeEmptyCount;
    @ApiModelProperty(value = "本周失衡优化次数", example = "98",position = 6)
    private String weekOptimizeUnbalanceCount;

    @ApiModelProperty(value = "本周通行能力同比情况", example = "提升10%",position = 7)
    private String weekCapacitySituation;
    @ApiModelProperty(value = "本周通停车次数同比情况", example = "减少10%",position = 8)
    private String weekStopTimesSituation;
    @ApiModelProperty(value = "本周通延误时间同比情况", example = "增加10%",position = 9)
    private String weekDelayTimeSituation;
    @ApiModelProperty(value = "本周通最大排队同比情况", example = "降低10%",position = 10)
    private String weekMaxQueueLengthSituation;
    @ApiModelProperty(value = "本周总体情况", example = "明显提升",position = 11)
    private String weekTotalitySituation;

    //================================================================================================//

    @ApiModelProperty(value = "时段列表",example = "[\"本周\",\"上周\"]")
    private List<String> timeList = new ArrayList<>();

    private List<CrossOptimizeAnalysisDataVO> dataList=new ArrayList<>();

}