package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.databus.po.CrossDirDataHistPO;
import net.wanji.databus.po.CrossLaneDataHistPO;
import net.wanji.databus.po.CrossTurnDataHistPO;
import net.wanji.opt.entity.judgeanalysis.AnalysisCrossHourOverFlowTask;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDirHour;
import java.util.List;
import java.util.Map;

import net.wanji.opt.entity.judgeanalysis.CrossCongestionLaneReasonInfo;
import net.wanji.opt.entity.report.ConfigPeakHours;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisProblemCrossDirHourMapper extends BaseMapper<AnalysisProblemCrossDirHour>{
	
	 /**
	  *  查询表t_analysis_problem_cross_dir_hour所有信息
	  */
	 List<AnalysisProblemCrossDirHour> findAllAnalysisProblemCrossDirHour();
	  
	 /**
	  *  根据主键eventType查询表t_analysis_problem_cross_dir_hour信息
	  *  @param eventType
	  */
	 AnalysisProblemCrossDirHour findAnalysisProblemCrossDirHourByeventType(@Param("eventType") String eventType);

	/**
	*  根据条件查询表t_analysis_problem_cross_dir_hour信息
	*  @param analysisProblemCrossDirHour
	*/
	List<AnalysisProblemCrossDirHour> findAnalysisProblemCrossDirHourByCondition(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);

	 /**
	  *  根据主键eventType查询表t_analysis_problem_cross_dir_hour信息
	  *  @param eventType
	  */
	 Integer deleteAnalysisProblemCrossDirHourByeventType(@Param("eventType") String eventType);
	
	 /**
	  *  根据主键eventType更新表t_analysis_problem_cross_dir_hour信息
	  *  @param analysisProblemCrossDirHour
	  */
	 Integer updateAnalysisProblemCrossDirHourByeventType(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);
	
	 /**
	  *  新增表t_analysis_problem_cross_dir_hour信息
	  *  @param analysisProblemCrossDirHour
	  */
	 Integer addAnalysisProblemCrossDirHour(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);

	List<AnalysisProblemCrossDirHour> selectSingerByProblemTrend(Map<String, Object> Map);

	List<AnalysisProblemCrossDirHour>selectHappyByProblemTrend(Map<String, Object> Map);

	List<AnalysisProblemCrossDirHour> selectDirectByProblemTrend(Map<String, Object> Map);


	List<AnalysisCrossHourOverFlowTask> getOverFolowInfo(@Param("crossId") String crossId, @Param("startTime") Integer startTime, @Param("endTime") Integer endTime);

	List<CrossTurnDataHistPO> getEmptyCrossTurnInfo(@Param("dir") Integer dir,@Param("turn") Integer turn, @Param("startTimeAll") String startTimeAll,@Param("endTimeALL") String endTimeALL);

	List<ConfigPeakHours> getpeakHours();

	List<AnalysisProblemCrossDirHour> getunBalanceProblem(Map<String, Object> happyParamMap);

	List<CrossDirDataHistPO> getunBalancePeakFlow(@Param("dir1") Integer dir1, @Param("crossId") String crossId, @Param("moningPeakStartAll") String moningPeakStartAll, @Param("moningPeakEndAll") String moningPeakEndAll);

	List<AnalysisProblemCrossDirHour> getCongestionProblem(Map<String, Object> happyParamMap);

	List<CrossCongestionLaneReasonInfo> getCongestionReasoninfo(@Param("crossId") String crossId, @Param("dir") Integer dir, @Param("startTimeAll") String startTimeAll, @Param("endTimeALL") String endTimeALL);
}

