package net.wanji.opt.servicev2.strategy;

import net.wanji.opt.entity.strategy.StrategyParameterConfig;
import net.wanji.opt.entity.strategy.StrategyPriorityDailyInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import net.wanji.opt.entity.strategy.dto.StrategyPriorityGroupVO;
import net.wanji.opt.synthesis.pojo.StrategyFactoryEntity;

import java.util.List;

/**
* <p>
* 策略优先级日计划详情表 服务类
* </p>
*
* @author fengyi
* @since 2025-03-28
*/
public interface StrategyPriorityService extends IService<StrategyPriorityDailyInfo> {

    List<StrategyPriorityDailyInfo>pageStrategyCrossList();

    List<StrategyFactoryEntity> getStrategyList();

    List<StrategyFactoryEntity> getSceneList(Integer type);

    List<StrategyFactoryEntity> getCompanyList();


    void savePriority(List<StrategyPriorityGroupVO> dataList) throws Exception;

    /**
     * 删除优先级配置表中策略
     * @param dataList
     * @throws Exception
     */
    void deletePriorityConfigList(List<StrategyPriorityGroupVO> dataList) throws Exception;

    List<StrategyFactoryEntity> getPriorityData(String crossId,Integer greenId, Integer type) throws Exception;

    void savePlanConfig(List<StrategyPriorityGroupVO> dailyPlanDetails) throws Exception;


    List<StrategyPriorityDailyInfo> getPlanConfigData(String crossId, Integer greenId,Integer type);

    void saveParamterConfig(StrategyPriorityGroupVO strategyPriorityGroupVO) throws Exception;

    List<StrategyParameterConfig> getParamConfigData(String crossId,Integer greenId, Integer type,String strategyNo);

    List<StrategyPriorityDailyInfo> getStrategyGreenWave();
}
