package net.wanji.opt.synthesis.service;

import net.wanji.opt.entity.strategy.*;
import net.wanji.opt.synthesis.pojo.Result;
import net.wanji.opt.synthesis.pojo.StrategyControlReq;
import net.wanji.opt.synthesis.pojo.StrategyControlSwitchReq;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/03 14:06
 */
public interface PushStrategyControlService {
   /**
    * 策略详情推送
    * @param req
    * @return
    * @throws Exception
    */
   Result push(StrategyControlReq req) throws Exception;

   /**
    * 策略控制开关推送
    * @param req
    * @return
    * @throws Exception
    */
   Result switchPush(StrategyControlSwitchReq req) throws Exception;

   /**
    * 策略管理优先级配置推送
    * @param req
    * @return
    * @throws Exception
    */
   Result StartegyPriorityPush(StrategyPriorityGroupPushReq req) throws Exception;

   /**
    * 策略管理日计划配置推送
    * @param req
    * @return
    * @throws Exception
    */
   Result StartegyPriorityPlanPush(StrategyPriorityPlanPushReq req) throws Exception;

   /**
    * 策略管理参数配置推送
    * @param req
    * @return
    * @throws Exception
    */
   Result StartegyPriorityParameterPush(List<StrategyParameterPush> req) throws Exception;
}

