package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "CrossProblemTotalityResult", description = "路口事情信息")
public class CrossProblemTotalityResult {

    @ApiModelProperty(value = "本周溢出总次数", example = "20次",position = 1)
    private String weekOverFlowCount;
    @ApiModelProperty(value = "本周溢出总次数与上周比较情况", example = "增加【减少】10%",position = 2)
    private String weekOverFlowCountCompare;
    @ApiModelProperty(value = "本周溢出时长", example = "3.5小时",position = 3)
    private String weekOverFlowDuration;
    @ApiModelProperty(value = "本周溢出时长与上周比较情况", example = "增加【减少】13%",position = 4)
    private String weekOverFlowDurationCompare;

    @ApiModelProperty(value = "本周拥堵总次数", example = "20次",position = 5)
    private String weekCongestCount;
    @ApiModelProperty(value = "本周拥堵总次数与上周比较情况", example = "增加【减少】10%",position = 6)
    private String weekCongestCountCompare;
    @ApiModelProperty(value = "本周拥堵时长", example = "3.5小时",position = 7)
    private String weekCongestDuration;
    @ApiModelProperty(value = "本周拥堵时长与上周比较情况", example = "增加【减少】13%",position = 8)
    private String weekCongestDurationCompare;

    //================================================================================================//
    @ApiModelProperty(value = "本周总体效果情况", example = "明显提升",position = 9)
    private String weekTotalitySituation;

    private List<CrossProblemTotalityDataList> dataList=new ArrayList<>();
}
